Bug 4 - net user -l truncates comments
net user -l truncates comments
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: net utility
3.0.0preX
All Linux
: P3 normal
: none
Assigned To: Jim McDonough
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-26 12:01 UTC by Dave Fenwick
Modified: 2007-04-26 12:54 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Fenwick 2003-04-26 12:01:11 UTC
Performing:

net user -l -U administrator -S apollo

truncates the comments at 50 characters
Comment 1 Jim McDonough 2003-04-29 08:10:51 UTC
net.exe on windows won't allow more than 50 characters, nor will the RAP
protocol send back more than 50, but through AD management tools you can do
this, and now net should via RPC.
Comment 2 Dave Fenwick 2003-05-01 19:12:57 UTC
net user -l -U administrator -S apollo now returns the full comment.  I 
attempted this with RAP as well, and, per the comments from Jim McDonough, it 
behaves as expected in the protocol (still truncates at 50 characters.)  Status 
will stay RESOLVED/FIXED with the caveat that I verified the fix.
Comment 3 Dave Fenwick 2003-05-08 21:52:33 UTC
I wrote a small test application that links with libsmbclient.  The relevant
lines in it of note are:

ret = cli_RNetGroupEnum(cli, my_group_callback, NULL);

In my_group_callback() I have no string length specifiers in the printf() I do.
 It is printing the full group comment when I use cli_RNetGroupEnum() so I'm
assuming RAP actually does return more than 50 characters.

Reopening to get it fixed in the net_rap.c code.
Comment 4 Jim McDonough 2003-05-09 06:05:25 UTC
Well I'll be...

The OS/2 docs show it as a 50-byte field, so don't go trying to set more than 50
byte comments on an OS/2 server :-)

But the RAP protocol has it defined as type "z", so there is no limit in the
protocol.  Fixed in cvs.
Comment 5 Gerald (Jerry) Carter 2003-05-20 07:13:58 UTC
done
Comment 6 Gerald (Jerry) Carter 2005-02-07 07:54:48 UTC
originally reported against 3.0alpha23.  Bugzilla spring cleaning.
Comment 7 Gerald (Jerry) Carter 2005-11-14 09:31:20 UTC
database cleanup
Comment 8 SPAMMER 2007-04-26 12:52:00 UTC
Created attachment 2424
Comment 9 SPAMMER 2007-04-26 12:52:31 UTC
Created attachment 2425
Comment 10 SPAMMER 2007-04-26 12:53:01 UTC
Created attachment 2426
Comment 11 SPAMMER 2007-04-26 12:53:26 UTC
Created attachment 2427
Comment 12 SPAMMER 2007-04-26 12:54:06 UTC
Created attachment 2428